 /************************************************************************//**
 *
 * @file    c17_remc2.h
 *
 * @brief   This is REMC2 driver header file.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef C17_REMC2_H__
#define C17_REMC2_H__

#include <c17_mcu_select.h>

/* --- definition --- */
/// REMC Format
enum
{
	C17_REMC_FORMAT_NEC,			/// NEC
	C17_REMC_FORMAT_AEHA,			/// AEHA
	C17_REMC_FORMAT_SONY			/// SONY
};

/* --- external declaration --- */
extern void c17intRemc(void)__attribute__ ((interrupt_handler));

extern void c17initRemc(void);
extern void c17enableRemc(void);
extern void c17disableRemc(void);
extern void c17enableIntRemc(void);
extern void c17disableIntRemc(void);
extern void c17setCarrierRemc(unsigned short remcCarr,unsigned short remcDuty);
extern void c17startRemc(unsigned short remcAplen, unsigned short remcDblen);
extern void c17stopRemc(void);
extern void c17sendRemc(const unsigned char* remcData,unsigned char remcLen);
extern int c17sendRemcDataWait(void);
extern void c17setFormatRemc(unsigned short remcFormat);

#endif	// C17_REMC2_H__

