/************************************************************************//**
 *
 * @file    main.c
 *
 * @brief   This is S1C17W34/W35/W36 sample program.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
/************************************************************************//**
 * @main_page   S1C17W34/W35/W36 Sample Program.
 *
 * @section     intro Introduction
 * This is a sample code of S1C17W34/W35/W36.
 *
 * @subsection  --- S1C17W34/W35/W36 ---
 * @subsection  step0   Step  0: CLG.
 * @subsection  step1   Step  1: ADC.
 * @subsection  step2   Step  2: I2C.
 * @subsection  step3   Step  3: LCD.
 * @subsection  step4   Step  4: PORT.
 * @subsection  step5   Step  5: PWG2.
 * @subsection  step6   Step  6: REMC.
 * @subsection  step7   Step  7: RFC.
 * @subsection  step8   Step  8: RTCA.
 * @subsection  step9   Step  9: SNDA.
 * @subsection  step10  Step 10: SPIA.
 * @subsection  step11  Step 11: SVD.
 * @subsection  step12  Step 12: T16.
 * @subsection  step13  Step 13: T16B.
 * @subsection  step14  Step 14: TSRVR.
 * @subsection  step15  Step 15: UART.
 * @subsection  step16  Step 16: WDT.
 *
 * @section     install Installation
 * Start the IDE and import the "s1c17w34_w35_w36_sample" project.
 *
 ***************************************************************************/
#include <stdlib.h>
#include <stdio.h>
#include "crt0.h"
#include "c17_misc.h"
#include "c17_init_config.h"
#include <c17_mcu_select.h>
#include "main.h"


/* --- global variable --- */

int main(void);

/************************************************************************//**
 * main function.
 *
 * @return  EXIT_SUCCESS    Success.
 * @return  EXIT_FAILURE    Failed.
 ***************************************************************************/
int main(void)
{
	/* <<< s1c17w34_w35_w36 demonstration start >>> */

	main_clg();

#ifdef C17_PE_ADC
	main_adc12a();
#endif

#if defined(C17_PE_I2C_MASTER) || defined( C17_PE_I2C_SLAVE)
	main_i2c();
#endif

#ifdef C17_PE_LCD32B
	main_lcd32b();
#endif

#ifdef C17_PE_PORT
	main_port();
#endif

#ifdef C17_PE_PWG2
	main_pwg2();
#endif

#ifdef C17_PE_REMC
	main_remc2();
#endif

#ifdef C17_PE_RFC
	main_rfc();
#endif

#ifdef C17_PE_RTCA
	main_rtca2();
#endif

#ifdef C17_PE_SNDA
	main_snda();
#endif

#if defined(C17_PE_SPIA_MASTER) || defined(C17_PE_SPIA_SLAVE)
	main_spia();
#endif

#ifdef C17_PE_SVD
	main_svd();
#endif

#ifdef C17_PE_T16
	main_t16();
#endif

#ifdef C17_PE_T16B
	main_t16b();
#endif

#ifdef C17_PE_TSRVR
	main_tsrvr();
#endif

#if defined(C17_PE_UART_MASTER) || defined( C17_PE_UART_SLAVE)
	main_uart2();
#endif

#ifdef C17_PE_WDT
	main_wdt2();
#endif


	/* <<<  s1c17w34_w35_w36 demonstration finish >>> */

	return EXIT_SUCCESS;

}

